package intrinsic.mx.containers;

public class Accordion extends intrinsic.mx.core.Container implements intrinsic.mx.managers.IFocusManagerComponent, intrinsic.mx.managers.IHistoryManagerClient {

	/** Accessors */
	public boolean clipContent;
	public boolean autoLayout;
	public boolean historyManagementEnabled;
	public int selectedIndex;
	public String horizontalScrollPolicy;
	public intrinsic.mx.core.IFactory headerRenderer;
	public double baselinePosition;
	public intrinsic.mx.core.Container selectedChild;
	public String verticalScrollPolicy;
	public boolean resizeToContent;

	/** Variables */
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Accordion() {
}


/** Static Methods */

/** Methods */
public native void createComponentsFromDescriptors();
public native void createComponentsFromDescriptors(boolean arg0);
public native intrinsic.mx.controls.Button getHeaderAt(int arg0);
public native void styleChanged(String arg0);
public native void loadState(Object arg0);
public native Object saveState();
public native void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native void drawFocus(boolean arg0);

}
